Bug 55087 - launching graphic installer on a s3 virge card freezes
launching graphic installer on a s3 virge card freezes
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-25 06:52 EDT by Jure Pecar
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-25 09:21:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jure Pecar 2001-10-25 06:52:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.12-ac3 i686)

Description of problem:
I wantend to install a fresh 7.2 on a system with S3 Virge graphic card. It
freezed at various points within a few seconds after X server started. The
furthest i came was the mouse selection ;)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have a S3 virge card in your system
2. Try default install, graphical
3. Observer the X server freeze

Actual Results:  Within seconds of X server starting, machine freezes
completely, mouse does not move, keyboard unresponsive. It happens at
various stages, once i came as far as the mouse selection, once it froze
before the redhat logo was displayed.

Expected Results:  It should work, no? I ended up inserting an ancient 256k
isa vga card into the system and installig with vga16 X server ... 

Additional info:

It is known that various S3 graphic boards are a reason for unstable
systems with XFree86 4.x. So why exactly is XFree86 4.x used in the
installer? Or, at least run something like vga16 if an S3 chip is detected
Comment 1 Brent Fox 2001-10-25 08:56:40 EDT
Does text mode work?
Comment 2 Jure Pecar 2001-10-25 09:21:10 EDT
Yes, text mode works ok. Only X freezes.
Comment 3 Brent Fox 2001-10-25 15:28:20 EDT
We don't use XFree86 4.0 for the installer.  We use the XF86_FBDev server, which
is the XFree86 3.3.6 framebuffer device server.  I have an "S3 ViRGE /DX /GX"
(that's what ddcprobe returns) that works fine in the installer.  There were
some problems with S3 ViRGEs in some of the betas for Enigma, but they were
fixed for the final release (at least for the ViRGEs that we have here).  I
don't know why you are having problems with it, but the best workaround I can
suggest would be to use text mode install.  There's not anything else I can do
to fix this.
Comment 4 Jure Pecar 2001-10-26 05:52:22 EDT
My card is recognized as S3 ViRGE generic and the card reports itself as 86C325
on screen. If you want, i can check the markings on the chip itself.
Comment 5 Brent Fox 2001-10-26 09:55:26 EDT
Try switching to VC2 during the install by pressing <Ctrl><Alt><F2> and running
ddcprobe.  Having that information would be more useful, since that's what the
video card is reporting itself as.
Comment 6 Jure Pecar 2001-11-06 04:20:44 EST
ddc out reports:

VESA 1.2 detected.
OEM Name: S3 Incorporated. 86C325
Memory installed = 32 * 64k blocks = 2048kb
Supported standard modes:
        132x25 (text)
        132x43 (text)
EDID read failed, returned empty data
Comment 7 Brent Fox 2001-11-08 15:10:49 EST
Ok, can you post the output of 'lspci -n' and 'lspci -v'?  That will tell us the
pci ID of the card.

The pci ID should be 5333:5631.  That is what kudzu says the pci ID should be
for a "Card:S3 ViRGE (generic)"  "S3 Inc.|86c325 [ViRGE]".

Comment 8 Jure Pecar 2001-11-19 08:03:14 EST
lspci -v shows the card as:

00:0d.0 VGA compatible controller: S3 Inc. 86c325 [ViRGE] (rev 06) (prog-if 00
	Flags: bus master, medium devsel, latency 40, IRQ 11
	Memory at f8000000 (32-bit, non-prefetchable) [size=64M]
	Expansion ROM at <unassigned> [disabled] [size=64K]

and lspci -n for 0d.0 is: 
00:0d.0 Class 0300: 5333:5631 (rev 06)

so yes, it gets detected properly. it just locks up for unknown reason :)
if i'll find some free time i'll try it under normal X session to see if it
behaves properly.

Note You need to log in before you can comment on or make changes to this bug.